> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.helpyousponsor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Edit a donor



## OpenAPI

````yaml put /donor/{id}/edit
openapi: 3.0.0
info:
  title: Example for response examples value
  version: '1.0'
servers:
  - url: https://api.helpyousponsor.com/v1
    description: Production
security: []
paths:
  /donor/{id}/edit:
    put:
      tags:
        - Donor
      summary: Edit a donor
      operationId: e4b24776c764b1b1922ecce3fbb6a46b
      parameters:
        - name: id
          in: path
          description: ID of the donor to be edited
          required: true
          schema:
            type: integer
      requestBody:
        required: true
        content:
          application/json:
            schema:
              properties:
                client_id:
                  type: string
                  example: '1'
                dn_donor_name:
                  type: string
                  example: John Doe
                dn_payment_type:
                  type: string
                  example: CC Monthly
                dn_child_sponsored:
                  type: string
                  example: Tonny Green
                username:
                  type: string
                  example: new_username
                email:
                  type: string
                  example: email@gmail.com
                dn_address:
                  type: string
                  example: email@gmail.com
                password:
                  type: string
                  example: new_password
                id:
                  type: string
                  example: '1'
                hysform_id:
                  type: string
                  example: '1'
              type: object
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                properties:
                  status:
                    type: string
                    example: success
                  data:
                    properties:
                      message:
                        type: string
                        example: Profile saved
                    type: object
                type: object
        '422':
          description: Validation error
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                    example: Validation error
                  errors:
                    type: object
                    example:
                      username: The username has already been taken.
                type: object
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      description: 'API key generated from Developer Settings. Format: hys_...'
      name: X-HYS-API-Key
      in: header

````